MySQL und Elasticsearch zeigen unterschiedliche Ergebnisse an

WARNING
Die MySQL-Katalogsuchmaschine wird in Adobe Commerce 2.4.0 entfernt. Sie müssen den Elasticsearch-Host vor der Installation von Version 2.4.0 einrichten und konfigurieren lassen. Siehe Abschnitt Installieren und Konfigurieren von Elasticsearch in unserer Entwicklerdokumentation.

Dieser Artikel enthält einen Patch für das bekannte Adobe Commerce-Problem in der Cloud-Infrastruktur 2.2.3, das sich auf das Abrufen verschiedener Suchergebnisse für dieselbe Suchabfrage mit MySQL und Elasticsearch bezieht.

Problem:

Ihre Katalogsuchergebnisse mit demselben Filtersatz unterscheiden sich je nach verwendeter Suchmaschine, MySQL oder Elasticsearch.

Zu reproduzierende Schritte :

  1. Installieren und konfigurieren Sie Elasticsearch.
  2. Wählen Sie in der Storefront einen der Filter aus.
  3. Notieren Sie sich die Anzahl der übereinstimmenden Produkte.
  4. Standardkonfiguration MySQL-Suche.
  5. Wählen Sie in der Storefront einen der Filter aus.
  6. Notieren Sie sich die Anzahl der übereinstimmenden Produkte.

Erwartetes Ergebnis: Die Anzahl der übereinstimmenden Produkte ist identisch.

Tatsächliches Ergebnis: Die Anzahl der übereinstimmenden Produkte ist unterschiedlich.

Patch

Die Patches sind diesem Artikel beigefügt. Um einen Patch herunterzuladen, scrollen Sie nach unten zum Ende des Artikels und klicken Sie auf den erforderlichen Dateinamen oder auf die folgenden Links:

MDVA-12312_EE_2.2.3_COMPOSER_v1.patch herunterladen

MDVA-14172_EE_2.2.6_COMPOSER_v1.patch herunterladen

Kompatible Adobe Commerce-Versionen:

Die Patches wurden für Folgendes erstellt:

  • Adobe Commerce auf Cloud-Infrastruktur 2.2.3 (die MDVA-12312_EE_2.2.3_COMPOSER_v1.patch -Datei)
  • Adobe Commerce in Cloud-Infrastruktur 2.2.6 (die MDVA-14172_EE_2.2.6_COMPOSER_v1.patch -Datei)

Die MDVA-12312_EE_2.2.3_COMPOSER_v1.patch Patch ist auch mit den folgenden Adobe Commerce-Versionen und -Editionen kompatibel (löst das Problem jedoch möglicherweise nicht):

  • Adobe Commerce in Cloud-Infrastruktur 2.2.4
  • Adobe Commerce in Cloud-Infrastruktur 2.2.5
  • Adobe Commerce vor Ort 2.2.3
  • Adobe Commerce vor Ort 2.2.4
  • Adobe Commerce vor Ort 2.2.5

Die MDVA-14172_EE_2.2.6_COMPOSER_v1.patch Patch ist auch mit den folgenden Adobe Commerce-Versionen und -Editionen kompatibel (löst das Problem jedoch möglicherweise nicht):

  • Adobe Commerce vor Ort 2.2.6

Anwenden des Pflasters

Siehe Anwenden eines von Adobe bereitgestellten Composer-Patches in unserer Support-Wissensdatenbank für Anleitungen.

Attached Files

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a